Probleme scenari et libreoffice6 sous ubuntu18


#1

Bonjour. Je suis passé récemment à ubuntu 18 et depuis scenarichain atelier Technopale ne peut plus generer les publication dès qu’un élément libreoffice fait partie du document (ressource texte ou tableau ou formule) Il a également des problèmes lorsqu’une image doit être insérée (il cré la publication mais avec un avertissement de defaut et en supprimant l’image).
J’ai téléchargé libreoffice5.4 mais dès que j’édite un docume libreoffice dans scenarichain, c’est libreoffice6 qui s’ouvre. Je n’arrive pas à sélectionner le chemin usr/bin/libreoffice5.4 dans paramétre. Il indique chemin invalide.
J’ai un site web en ressource qui fonctionne parfaitement. Cela semble un problème de chemin pour libreoffice voir également pour ImageMagick.
Merci


#2

Bonjour,

Vous avez quelle version de SCENARIchain d’installé exactement ?

Vous êtes bien sur le repos bionic ? Votre fichier /etc/apt/sources.list.d/scenari.list doit contenir :
deb https://download.scenari.org/deb bionic main

La dernière version stable pour Ubuntu 18.04 est SCENARIchain 4.2.106-s1.
Par ailleurs

  • le package libscenarisrv42 doit être en version 4.2.106-s2
  • le package libscenarixul42 doit être en version 4.2.106-s42.0.2-20160523-2

Remarque : je ne sais pas comment vous avez installé LO 5.4 mais les debs proposés par LO ne s’installent pas dans /usr mais dans /opt


#3

Bonjour,
J’ai la version 4.2.1.06 final (2018013112141). J’ai fait l’installation en téléchargeant l’archive sur le site officiel et en exécutant le fichier install.sh comme indiqué.
Je n’avais pas de fichier /etc/apt/sources.list.d/scenari.list donc je l’ai créé et rajouter son contenu. Mais lorsque je veux recharger les sources, impossible car il manque la clé public. J’ai vu quelque part comment rajouter cette clé mais je n’arrive plus à retrouver la page. Lorsque je fais une recherche avec synaptic de libscenarisrv42, n’est pas trouvé. Donc mon problème doit venir d’une mauvaise installation de ma part. Dans la fameuse page perdue il était indiqué de préférer l’installation par APT mais comme dans il n’est pas fait mention de cette solution (ou je ne l’ai pas vu) sur le site officiel j’ai supposé qu’elle concernait une version ancienne.
Pour LO5.4 effectivement il est installé dans opt. Mais je n’ai pas trouvé de fichier libreoffice5.4 alors que dans usr/bin il y en a un. En fait il s’agit d’un alias qui renvoi à /opt/libreoffice5.4/program/soffice J’ai essayé de renseigner ce chemin dans les paramètres de SENARIchain mais cela ne fonctionne pas.
Comment puis je faire pour désinstaller proprement SCENARIchain et le réinstaller en utilisant APT.
Merci de votre réponse


#4

Quelle URL exactement ?

La page officiel de téléchargement de SCENARIchain-desktop est :
https://download.scenari.software/SCENARIchain-desktop@4.2.1.06/ et on y trouve bien une rubrique Debian / Ubuntu avec la procédure d’ajout du dépôt SCENARI et l’installation de SCENARIchain.

Pour LibreOffice, il faut pointer le dossier “program” de LO, soit /opt/libreoffice5.4/program

Pour désinstaller la version de SCENARIchain installé par le script d’install, tout dépends, Avez-vous effectuer une installation en temps qu’utilisateur simple ou en temps que root (avec sudo) ?


#5

Bonjour. Après installation de la clé et avec APT, Tout fonctionne parfaitement. Donc la page que j’avais vu est bien celle de la documentation.
Je n’ai pas eu besoin de faire pointer quoi que soit sur libre office 5.4. L’installation a été de suite opérationnelle.
Est ce que je dois désinstaller quelque chose ou la nouvelle installation n’aura fait que compléter les fichier manquant de la première installation ?
Une petite info sur la page de téléchargement linux pour inviter les personnes à aller voir la doc pour une installation avec APT serait un plus.
Merci pour vos réponses et votre réactivité.


#6

Mais je ne vois pas de quoi vous parlez… l’info est là ! directement sur la page de téléchargement :

Pouvez-vous me donner l’url exacte ?

L’installation par APT ou par TGZ sont totalement distincte. Vous pouvez, et je vous le conseil, suprimer la version tgz que vous avez installé avant, comme je vous ai demandé plus haut, comment avez-vous installé SCENARIchain tgz ? en temps que simple utilisateur ou en temps que root avec la commande sudo ? La procédure de suppression sera différente dans les deux cas.


#7

Effectivement l’info est là et où il y a marqué Ubuntu (logique donc).
Je n’ai pas eu l’idée de clicker sur la petite flèche à coté de Debian/Ubuntu et je crois que pour cela vous ne pouvez rien faire. Il faut juste que je connecte mes neurones.
Merci encore